Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class StringParameter

    java.lang.Object
      |
      +--oracle.olapi.data.source.Parameter
            |
            +--oracle.olapi.data.source.StringParameter

public class StringParameter
extends Parameter

A `Parameter` that specifies a `String` value that you use in creating a query. After creating the query, you can change the value of the `StringParameter` and thereby change the selection of dimension or measure elements that the query represents.

You use a `StringParameter` to create a parameterized `StringSource` with the `createParameterizedSource(StringParameter param)` method of the `DataProvider` you used to create the `StringParameter`. You then use the parameterized `StringSource` as a parameter to a method that selects one or more elements of another `Source` and produces a derived `Source`. You can commit the `Transaction` and create a `Cursor` for the `Source` to retrieve the results of the query.

You can change the selection of elements that the derived `Source` represents by changing the value of the `StringParameter` with the `setValue` method. The `Cursor` for the query `Source` then has the values of the new selection. You do not need to commit the `Transaction` nor create a new `Cursor`. You can instead just set the position of the existing `Cursor` to its first position and get the values for the new selection from the `Cursor`.

Constructor Summary
`StringParameter(DataProvider dataProvider, java.lang.String initialValue)` Creates a `StringParameter` that has the specified `String` value.

Method Summary
`java.lang.Object` | `acceptVisitor(ParameterVisitor visitor, java.lang.Object context)` Calls the `visitStringParameter` method of the specified `ParameterVisitor` and passes that method this `StringParameter` and the specified context `Object`.
`java.lang.String` | `getValue()` Gets the value of this `StringParameter`.
`java.lang.Object` | `getValueObject()` Gets the value of this `StringParameter` as an `Object`.
`void` | `setValue(java.lang.String value)` Sets the value of this `StringParameter` to the specified `String`.

Methods inherited from class oracle.olapi.data.source.Parameter
`getDataProvider, getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringParameter

    public StringParameter(DataProvider dataProvider,
                           java.lang.String initialValue)

  Creates a `StringParameter` that has the specified `String` value.
  Parameters:
    `dataProvider` - The `DataProvider` that you are using.
    `initialValue` - The value that you want this `StringParameter` to have.

Method Detail

### acceptVisitor

    public final java.lang.Object acceptVisitor(ParameterVisitor visitor,
                                                java.lang.Object context)

  Calls the `visitStringParameter` method of the specified `ParameterVisitor` and passes that method this `StringParameter` and the specified context `Object`.
  Overrides:
    acceptVisitor in class Parameter
  Parameters:
    `visitor` - An instance a class derived from the `ParameterVisitor` class.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitStringParameter` method of the specified `ParameterVisitor`.

### getValue

    public final java.lang.String getValue()

  Gets the value of this `StringParameter`.
  Returns:
    The value of this `StringParameter`.

### getValueObject

    public final java.lang.Object getValueObject()

  Gets the value of this `StringParameter` as an `Object`.
  Overrides:
    getValueObject in class Parameter
  Returns:
    The value of this `StringParameter` as an `Object`.

### setValue

    public final void setValue(java.lang.String value)

  Sets the value of this `StringParameter` to the specified `String`.
  Parameters:
    `value` - A `String` that you want this `StringParameter` to have as its value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.